/* Global customization */

@font-face {
  font-family: 'Heebo';
  src: url('fonts/Heebo-VariableFont_wght.woff');
  font-weight: normal;
  font-style: normal;
}

:root {
  --code-max-height: 60rem;
  --font-family: "Heebo",-apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Oxygen,Ubuntu,Cantarell,"Open Sans",Arial,sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji"
}

/* Light mode theming */
:root,
:root[color-theme="light"] {
  --header-background: none;
  --header-font-color: #333;

  --body-background: #ffffff;
  --body-font-color: #343a40;

  --mark-color: #ffab00;

  --button-background: #827bc6;
  --button-border-color: #827bc6;

  --link-color: #8982c9;
  --link-color-visited: #8982c9;

  --accent-color: #e9ecef;
  --accent-color-lite: #ebedef;

  --control-icons: #b2bac1;

  --footer-background: #2f333e;
  --footer-font-color: #ffffff;
  --footer-link-color: #9f95e6;
  --footer-link-color-visited: #9f95e6;
}
@media (prefers-color-scheme: light) {
  :root {
    --header-background: none;
    --header-font-color: #333;

    --body-background: #ffffff;
    --body-font-color: #343a40;

    --mark-color: #ffab00;

    --button-background: #827bc6;
    --button-border-color: #827bc6;

    --link-color: #8982c9;
    --link-color-visited: #8982c9;

    --accent-color: #e9ecef;
    --accent-color-lite: #ebedef;

    --control-icons: #b2bac1;

    --footer-background: #2f333e;
    --footer-font-color: #ffffff;
    --footer-link-color: #9f95e6;
    --footer-link-color-visited: #9f95e6;
  }
}

/* Dark mode theming */
:root[color-theme="dark"] {
  --header-background: none;
  --header-font-color: #ffffff;

  --body-background: #343a40;
  --body-font-color: #ced3d8;

  --mark-color: #ffab00;

  --button-background: #827bc6;
  --button-border-color: #827bc6;

  --link-color: #8982c9;
  --link-color-visited: #8982c9;

  --accent-color: #2b3035;
  --accent-color-lite: #3d454d;

  --control-icons: #b2bac1;

  --footer-background: #2f333e;
  --footer-font-color: #ffffff;
  --footer-link-color: #9f95e6;
  --footer-link-color-visited: #9f95e6;
}
@media (prefers-color-scheme: dark) {
  :root {
    --header-background: none;
    --header-font-color: #ffffff;

    --body-background: #343a40;
    --body-font-color: #ced3d8;

    --mark-color: #ffab00;

    --button-background: #827bc6;
    --button-border-color: #827bc6;

    --link-color: #8982c9;
    --link-color-visited: #8982c9;

    --accent-color: #2b3035;
    --accent-color-lite: #3d454d;

    --control-icons: #b2bac1;

    --footer-background: #2f333e;
    --footer-font-color: #ffffff;
    --footer-link-color: #9f95e6;
    --footer-link-color-visited: #9f95e6;
  }
}



body {
  font-family: var(--font-family);
}


.gdoc-header {
  border-bottom: none;
  font-family: var(--font-family);
  font-weight: bold;
}

.gdoc-button {
  border-radius: 0.33rem;
  background: var(--button-background);
  border: var(--button-border-color) 1px solid;
}

.gdoc-button a {
  border-bottom: none;
  color: #EEE !important;
}

.gdoc-search__input {
  background: none;
}

.gdoc-page__header {
  background: none;
}

.gdoc-menu-header__items {
  align-items: center;
}

.gdoc-menu-header__items>span {
  padding-left: 1rem;
}
